Extend image syntax to allow for sidebars and such.
Closed, DeclinedPublic

Description

Author: grendelkhan

Description:
The image syntax is limited, in that it allows for only images to be made into
sidebars. This has led to the use of tables and custom DIVs to create navboxes
such as [[en:Template:OSIModel]].

See [[en:Wikipedia talk:Extended image syntax#Multiple images in one frame]] for
an example of the usefulness of generalized frames and sidebars. Use of HTML
should be deprecated, but right now there's no better way of making these.


Version: unspecified
Severity: enhancement
URL: http://en.wikipedia.org/wiki/MediaWiki_talk:Common.css#Tables_inside_frames

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz1729.
bzimport created this task.Via LegacyMar 21 2005, 4:44 PM
bzimport added a comment.Via ConduitMar 21 2005, 4:54 PM

ui2t5v002 wrote:

I also agree it needs to be expanded a bit. Not sure what else I can add...

http://en.wikipedia.org/wiki/Wikipedia_talk:Extended_image_syntax#Multiple_images_in_one_frame

For uncluttering tables, see my proposal here:

http://en.wikipedia.org/wiki/Wikipedia:Proposal_for_intuitive_table_editor_and_namespace

bzimport added a comment.Via ConduitMar 26 2005, 2:02 AM

dbenbenn wrote:

You could just use a template (see [[:en:Template:Float begin]], for example).
The only problem is the way [http://en.wikipedia.org/style/monobook/main.css
main.css] is designed. See the definition of "div.thumb" there. Ideally, you
want (a template that produces)

<div class="thumb"> some composed images, in a table, whatever
<div class="caption"> the caption </div></div>

The problem is that the line defining "div.thumb div a img" puts a frame around
_every image_, not around the box as a whole. So, can we simply get the CSS fixed?

bzimport added a comment.Via ConduitJul 29 2005, 2:42 PM

ui2t5v002 wrote:

Is this something we can fix ourselves by editing the site css?

http://en.wikipedia.org/wiki/MediaWiki:Monobook.css

I'll edit it if someone knows what to add...

bzimport added a comment.Via ConduitMar 3 2006, 2:53 AM

ui2t5v002 wrote:

Yes, this can be fixed with CSS, see:

http://en.wikipedia.org/wiki/MediaWiki_talk:Common.css#Tables_inside_frames

but it would be better if Mediawiki generated different HTML. Currently it
generates:

<div class="thumb">

<div style="width:WIDTH SET HERE">
    Image goes here
    <div class="thumbcaption">Caption here</div>
</div>

</div>

It would be better if it generated:

<div class="thumb">

<div class="framesomething">Image goes here</div>
<div class="thumbcaption">Caption here</div>

</div>

bzimport added a comment.Via ConduitMar 3 2006, 2:56 AM

ui2t5v002 wrote:

(In reply to comment #4)

It would be better if it generated:

Of course the CSS would have to be changed, too, to put the border around the
inner div instead of the image, which is the whole point of this bug report. :-)

MZMcBride added a comment.Via ConduitOct 9 2008, 8:57 AM

The correct answer to this particular issue seems to be using HTML tables (with wikimarkup or not), CSS, and possibly templates, not extending image syntax. There are simply far too many variations and possibilities that wikimarkup could never cover. That's why we have templates and tables. :-)

I recommend WONTFIX unless someone has something further to add?

demon added a comment.Via ConduitDec 15 2009, 10:41 AM

(In reply to comment #6)

The correct answer to this particular issue seems to be using HTML tables (with
wikimarkup or not), CSS, and possibly templates, not extending image syntax.
There are simply far too many variations and possibilities that wikimarkup
could never cover. That's why we have templates and tables. :-)

Yes.

I recommend WONTFIX unless someone has something further to add?

Done.

Add Comment